Package org.gradle.api.artifacts.result

## Interface ArtifactResult

- All Known Subinterfaces:
    `ResolvedArtifactResult`, `UnresolvedArtifactResult`

      public interface ArtifactResult

  The result of resolving an artifact.
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComponentArtifactIdentifier` | `getId()` | Returns an identifier for this artifact.
    `Class<? extends Artifact>` | `getType()` | Returns the type of this artifact.

- - ### Method Detail

    - #### getId

          ComponentArtifactIdentifier getId()

      Returns an identifier for this artifact.
      Since:
        3.3

    - #### getType

          Class<? extends Artifact> getType()

      Returns the type of this artifact.